[@rxap/material-table-system](../wiki/globals) / TableHeaderButtonMethod

# Function: TableHeaderButtonMethod()

> **TableHeaderButtonMethod**(`options`): `ClassDecorator`

Defined in: [packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:35](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-header-button/decorators.ts#L35)

## Parameters

### options

[`TableHeaderButtonMethodOptions`](../wiki/Interface.TableHeaderButtonMethodOptions) = `{}`

## Returns

`ClassDecorator`
